EDIT - bug #6282

FSI image viewer not working with https
12/15/2016 09:14 AM - Andreas Kohlbecker

Status: Rejected Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description

for example:
https://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/5d65f017-0c23-43e4-888d-9649de50dd45/images

Related issues:

Related to EDIT - task #5083: Alternative image viewer for dataportal Closed
Related to EDIT - task #6284: media.bgbm.org available via https Closed
History

#2 - 01/19/2017 01:26 PM - Andreas Miuller

- Target version changed from Release 4.5 to Release 4.6

#3 - 03/10/2017 08:50 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#4 - 05/11/2017 11:56 AM - Andreas Mdller

- Target version changed from Release 4.7 to Release 4.8

#5 - 07/07/2017 09:17 AM - Andreas Kohlbecker

- Target version changed from Release 4.8 to Unassigned CDM tickets

#6 - 06/28/2018 04:18 PM - Andreas Kohlbecker
This is most probably caused by binding the fsi viewer flash app via http instead of https:

<div id="images" class="page-part"><object id="default-gallery-viewer" type="application/x-shockwave-flash"
data=

"http://media.bgbm.org/erez/fsi/fsi.swf?&amp; cfg=showcase_presets/showcase_info.fsisamp;effects=%26quality%$3D9
5&amp; showcase_query=Lapsana%$5Fcommunis AND EditWP6/photos AND jpgé&amp; skin=silver&amp; showcase_labeltextheigh
t=50&amp; textbox_textfrom=IPTC_WP6&amp; textbox_height=50&amp; param_backgroundcolor=454343&amp; publishwmode=opa
que&amp; showcase_hscroll=true&amp; showcase_basecolor=454343&amp; plugins=textbox, fullscreen" style=
"visibility: visible;" width="620" height="400"><param name="menu" value="false"><param name="quality" value=
"high"><param name="width" value="620"><param name="height" value="400"><param name="bgcolor" value="#efefef"
><param name="wmode" value="opaque"><param name="allowscriptaccess" value="always"><param name=
"allowfullscreen" value="true"></object><div id="fsi-gallery-viewer">

<script type="text/javascript">

K==

var flashvars = {}; // can be used for the swf URI query parameters
var params = {};

params.menu = "false";

params.quality = "high"; // low

params.width="620";
params.height="400";
params.bgcolor="#efefef"; //#454343
params.wmode="opaque";
params.allowscriptaccess="always";
params.allowfullscreen="true";

swfobject .embedSWE (

http://media.bgbm.org/erez/fsi/fsi.swf?&cfg=showcase_presets/showcase_info.fsiseffects=%26quality%3D95&showcas
e_query=Lapsana%5Fcommunis AND EditWP6/photos AND jpg&skin=silver&showcase_labeltextheight=50&textbox_textfrom
https://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/5d65f017-0c23-43e4-888d-9649de50dd45/images

=IPTC_WP6&textbox_height=50&param_backgroundcolor=454343&publishwmode=opaque&showcase_hscroll=true&showcase_ba
secolor=454343&plugins=textbox, fullscreen",
"default-gallery-viewer" , // id of alternative content
"620", // width
"400", // height
"in,
// swfVersionStr (required) specifies the Flash Player version for which your content is published
false,
flashvars,
params
)i
1) ==
</script>
<noscript>
<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase=
"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,65,0" width="470" height=
"400">
<param name="movie" value=
"http://media.bgbm.org/erez/fsi/fsi.swf?&cfg=showcase_presets/showcase_info.fsiseffects=%26quality%$3D95&showca
se_query=Lapsana%5Fcommunis AND EditWP6/photos AND jpg&skin=silver&showcase_labeltextheight=50&textbox_textfro
m=IPTC_WP6&textbox_height=50&param_backgroundcolor=454343&publishwmode=opaque&showcase_hscroll=true&showcase_b
asecolor=454343plugins=textbox, fullscreen"/>
<param name="bgcolor" value="efefef" />
<param name="wmode" value="opaque" />
<param name="allowscriptaccess" value="always" />
<param name="allowfullscreen" value="true" />
<param name="quality" value="high" />
<embed src=
"http://media.bgbm.org/erez/fsi/fsi.swf?&cfg=showcase_presets/showcase_info.fsiseffects=%26quality%3D95&showca
se_query=Lapsana%$5Fcommunis AND EditWP6/photos AND jpg&skin=silver&showcase_labeltextheight=50&textbox_textfro
m=IPTC_WP6&textbox_height=50&param_backgroundcolor=454343&publishwmode=opaque&showcase_hscroll=true&showcase_b
asecolor=454343plugins=PrintSave, textbox, fullscreen"
width="620"
height="400"
bgcolor="efefef"
wmode="opaque"
allowscriptaccess="always"
allowfullscreen="true"
quality="high"
type="application/x—-shockwave-flash"
pluginspage="http://www.adobe.com/go/getflashplayer">
</embed>
</object>
</noscript><div id="fsi_caption">
© Images used on this website remain copyright of the individual photographer.<br>
To obtain permission to use images in publications or websites please contact the network at <a href=
"edit-wpb6-cichorieae@bgbm.org">edit-wp6-cichorieae@bgbm.org</a>
Images may be used for personal use, such as PowerPoint presentations, without permission.</div></div></div>

Https however is not supported by media.bgbm.org. the following request fails:
https://media.bgbm.org/erez/fsi/fsi.swi?&cfg=showcase presets/showcase_info.fsi&effects=%26quality%3D95&showcase_query=Lapsana_communi

$%20AND%20EditWP6/photos%20AND%20jpg&skin=silver&showcase_labeltextheight=50&textbox_textfrom=IPTC_WP6&textbox_height=50&para
m_backgroundcolor=454343&publishwmode=opaque&showcase_hscroll=true&showcase_basecolor=454343&plugins=textbox.fullscreen

Therefore we have two options:

A. Enable media.bgbm.org for https
B. Switch to the Universal Viewer #5083

#9 - 06/28/2018 04:26 PM - Andreas Kohlbecker
- Blocked by task #5083: Alternative image viewer for dataportal added

#10 - 06/28/2018 04:27 PM - Andreas Kohlbecker
| am assuming that it will not be possible to make the http://media.bgbm.org/ available under https therefore | am setting #5083 as a blocker of this

issue.

#11 - 06/28/2018 04:34 PM - Andreas Kohlbecker
- Blocked by task #6284: media.bgbm.org available via https added

#12 - 06/28/2018 04:35 PM - Andreas Kohlbecker
https://media.bgbm.org/erez/fsi/fsi.swf?&cfg=showcase_presets/showcase_info.fsi&effects=%26quality%3D95&showcase_query=Lapsana_communis%20AND%20EditWP6/photos%20AND%20jpg&skin=silver&showcase_labeltextheight=50&textbox_textfrom=IPTC_WP6&textbox_height=50&param_backgroundcolor=454343&publishwmode=opaque&showcase_hscroll=true&showcase_basecolor=454343&plugins=textbox,fullscreen
https://media.bgbm.org/erez/fsi/fsi.swf?&cfg=showcase_presets/showcase_info.fsi&effects=%26quality%3D95&showcase_query=Lapsana_communis%20AND%20EditWP6/photos%20AND%20jpg&skin=silver&showcase_labeltextheight=50&textbox_textfrom=IPTC_WP6&textbox_height=50&param_backgroundcolor=454343&publishwmode=opaque&showcase_hscroll=true&showcase_basecolor=454343&plugins=textbox,fullscreen
https://media.bgbm.org/erez/fsi/fsi.swf?&cfg=showcase_presets/showcase_info.fsi&effects=%26quality%3D95&showcase_query=Lapsana_communis%20AND%20EditWP6/photos%20AND%20jpg&skin=silver&showcase_labeltextheight=50&textbox_textfrom=IPTC_WP6&textbox_height=50&param_backgroundcolor=454343&publishwmode=opaque&showcase_hscroll=true&showcase_basecolor=454343&plugins=textbox,fullscreen
https://dev.e-taxonomy.eu/redmine/issues/5083
http://media.bgbm.org/
https://dev.e-taxonomy.eu/redmine/issues/5083

- Blocked by deleted (task #5083: Alternative image viewer for dataportal)

#13 - 12/10/2019 05:17 PM - Andreas Kohlbecker
- Related to task #5083: Alternative image viewer for dataportal added

#14 - 05/05/2020 01:57 PM - Andreas Kohlbecker
- Blocked by deleted (task #6284: media.bgbm.org available via https)

#15 - 05/05/2020 01:57 PM - Andreas Kohlbecker
- Related to task #6284: media.bgbm.org available via https added

#16 - 05/05/2020 01:58 PM - Andreas Kohlbecker
- Status changed from New to Rejected

- Target version deleted (Unassigned CDM tickets)

no longer needed now that we integrated the universal viewer
